/* Benevolent agent with respect to the organisation. */

/* Initial beliefs and rules */
my_group(easss_team).
my_ssch(easss_sch).
my_role("computer").

ngreetings(0).

/* Initial goals */
!setup.

// Initialisation Plans
 
+!setup : my_group(Gr) & my_ssch(Sch) & my_role(Role)
	<- 	//.my_name(Me);
	//	joinWorkspace("server",_);
	    lookupArtifact("calculator",CalcId)[wsp("server")];
        .println("Calculator: ", CalcId);
        lookupArtifact("msg_console",MsgId)[wsp("server")];
            .println("console: ", MsgId);
		println("ready");	
                .
-!setup 
	<- 	.wait(1000);
                .println("Setup not working");
		!setup.
// Agent's organizational skills


// plans to handle obligations
+obligation(Ag,Norm,committed(Ag,Mission,Scheme),Deadline)
    : .my_name(Ag)
   <- .println("I am obliged to commit to ",Mission," on ",Scheme);
      commitMission(Mission)[artifact_name(Scheme)].
      
//+obligation(Ag,Norm,achieved(Scheme,Goal,Ag),Deadline)
+obligation(Ag,Norm,done(Scheme,Goal,Ag),Deadline)
    : .my_name(Ag)
   <- .println("I am obliged to achieve goal ",Goal);
      !Goal[scheme(Scheme)];
      goalAchieved(Goal)[artifact_name(Scheme)].
      
+obligation(Ag,Norm,What,Deadline)  
   : .my_name(Ag)
   <- .print("I am obliged to ",What,", but I don't know what to do!").
	      
// Agent's skills

{include("inc/skills.asl")}

{ include("$jacamoJar/templates/common-cartago.asl") }
{ include("$jacamoJar/templates/common-moise.asl") }

// uncomment the include below to have a agent that always complies with its organization
//{ include("$jacamoJar/templates/org-obedient.asl") }
